Hello,
I have created a lisp which does some things, but I need to add a couple of things to fulfill it.
First, it renames some layers to desired names.
Second, It changes the color to them.
Third, it changes the standard text style to Arial.ttf.
Forth, it changes the style of the points.
Fifth, asks the user in which scale is working. 200 or 500?
Sixth, is changing the size of the point style, according to the typing scale.
I want to do two more things. The first is when the used type the scale to do
1. If the scale is 200 --> make all text heights of the drawing 0.24, else
if the scale is 500 --> make all text heights of the drawing 0.60
and
2. If the scale is 200 --> Objects in layer "TR_LAYER" to move (x,y,z)=(0.6,1.5,0)
Objects in layer "TR_ELEVATION" to move (x,y,z)=(0.6,2.5,0)
If the scale is 500 --> Objects in layer "TR_LAYER" to move (x,y,z)=(0.7,1.5,0)
Objects in layer "TR_ELEVATION" to move (x,y,z)=(0.7,2.0,0)
Is it possible? I am attaching you my lisp until now....
(defun c:doit ()
; Μετονομασία layer Rename layer
(command "._rename" "la" "PUNTI" "TR_POINTS")
(command "._rename" "la" "CODICEPUNTO" "TR_LABELS")
(command "._rename" "la" "QUOTAPUNTO" "TR_ELEVATION")
; Ορισμός χρώματος για τα layer Color change
(command "_.layer" "_color" 9 "TR_POINTS" "")
(command "_.layer" "_color" 3 "TR_LABELS" "")
(command "_.layer" "_color" 9 "TR_ELEVATION" "")
; Αλλαγή style Text style change
(command "_STYLE" "Standard" "Arial.ttf" "" "" "" "" "")
; Αλλαγή σχεδίου στο σημείοPoint style change
(setvar 'pdmode 3)
(setvar 'pdsize 1)
; Επιλογή σχεδίου Choosing scale
(setq x (getint "Τι κλίμακα είναι το σχέδιο; 200 ή 500;"))
; Αλλαγή point style Point style change
(if (= x 200) (setvar 'pdsize 0.02) (setvar 'pdsize 0.05))
(princ)
)
(princ)
Solved! Go to Solution.